View Issue Details

IDProjectCategoryView StatusLast Update
0005711Simple:Presscode - classespublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005711: convert our content classes to 6.0
Descriptionupdate as necessary and improve
TagsNo tags attached.
change_log_textconvert our content classes to 6.0 class structure
typedefect

Activities

svn

svn

2017-01-22 18:59

administrator   ~0019083

Changeset [15073] by steve on 2017-01-22 13:59:17 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking group view class.

 Changed Files:

U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/sp-startup/core/sp-core-support-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15073
svn

svn

2017-01-22 19:22

administrator   ~0019085

Changeset [15075] by steve on 2017-01-22 14:22:53 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking forum view class.

 Changed Files:

U trunk/forum/content/classes/sp-forum-view-class.php
U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15075
svn

svn

2017-01-22 19:28

administrator   ~0019086

Changeset [15076] by steve on 2017-01-22 14:28:52 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking topic view class.

 Changed Files:

U trunk/forum/content/classes/sp-topic-view-class.php
U trunk/forum/content/sp-topic-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15076
svn

svn

2017-01-22 20:05

administrator   ~0019087

Changeset [15077] by steve on 2017-01-22 15:05:55 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking search view class.

 Changed Files:

U trunk/forum/content/classes/sp-search-view-class.php
U trunk/forum/content/sp-search-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15077
svn

svn

2017-01-22 20:10

administrator   ~0019088

Changeset [15078] by steve on 2017-01-22 15:10:43 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking members view class.

 Changed Files:

U trunk/forum/content/classes/sp-member-view-class.php
U trunk/forum/content/sp-member-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15078
svn

svn

2017-01-22 20:16

administrator   ~0019089

Changeset [15079] by steve on 2017-01-22 15:16:00 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking list topic view class.

 Changed Files:

U trunk/forum/content/classes/sp-list-topic-class.php
U trunk/forum/content/sp-list-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15079
svn

svn

2017-01-22 20:31

administrator   ~0019090

Changeset [15080] by steve on 2017-01-22 15:31:58 -0500 (Sun, 22 Jan 2017)

see issue 0005711 some general cleanups to these classes

 Changed Files:

U trunk/forum/content/ajax/sp-ajax-newpostpopup.php
U trunk/forum/content/classes/sp-forum-view-class.php
U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/classes/sp-list-topic-class.php
U trunk/forum/content/classes/sp-member-view-class.php
U trunk/forum/content/classes/sp-search-view-class.php
U trunk/forum/content/classes/sp-topic-view-class.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-search-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15080
svn

svn

2017-01-22 20:32

administrator   ~0019091

Changeset [15082] by steve on 2017-01-22 15:32:29 -0500 (Sun, 22 Jan 2017)

see issue 0005711 some general cleanups to these classes

 Changed Files:

U templates/barebones/templates/spNewPostsView.php
U templates/reboot/templates/spNewPostsView.php
U templates/unified/templates/spNewPostsView.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15082
svn

svn

2017-01-22 20:37

administrator   ~0019092

Changeset [15083] by steve on 2017-01-22 15:37:04 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking list post view class.

 Changed Files:

U plugins/featured/template-tags/sp-featured-posts-tag.php
U plugins/featured/template-tags/sp-featured-topics-tag.php
U plugins/mentions/template-tags/sp-mentions-latest-mentions-tag.php
U plugins/mentions/template-tags/sp-mentions-your-latest-mentions-tag.php
U plugins/search/library/sp-search-components.php
U plugins/template-tags/library/sp-LatestPosts-tag.php
U plugins/template-tags/library/sp-NewestTopics-tag.php
U plugins/template-tags/library/sp-TodaysPosts-tag.php
U plugins/template-tags/library/sp-UnansweredPosts-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15083
svn

svn

2017-01-22 20:37

administrator   ~0019093

Changeset [15084] by steve on 2017-01-22 15:37:33 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking list post view class.

 Changed Files:

U trunk/forum/content/classes/sp-list-post-class.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/feeds/sp-feeds.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15084
svn

svn

2017-01-22 20:41

administrator   ~0019094

Changeset [15085] by steve on 2017-01-22 15:41:39 -0500 (Sun, 22 Jan 2017)

see issue 0005711 first pass at reworking list post view class.

 Changed Files:

U trunk/forum/content/classes/sp-list-post-class.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15085
svn

svn

2017-01-22 20:43

administrator   ~0019095

Changeset [15086] by steve on 2017-01-22 15:43:37 -0500 (Sun, 22 Jan 2017)

see issue 0005711 some general cleanups to these classes

 Changed Files:

U trunk/forum/content/sp-common-control-functions.php
U trunk/forum/content/sp-forms.php
U trunk/forum/content/sp-list-view-search-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-template-control.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15086
svn

svn

2017-01-22 21:01

administrator   ~0019096

Changeset [15087] by steve on 2017-01-22 16:01:18 -0500 (Sun, 22 Jan 2017)

see issue 0005711 pass 2 - autoload the view classes

 Changed Files:

D trunk/forum/content/classes/sp-forum-view-class.php
D trunk/forum/content/classes/sp-group-view-class.php
D trunk/forum/content/classes/sp-list-post-class.php
D trunk/forum/content/classes/sp-list-topic-class.php
D trunk/forum/content/classes/sp-member-view-class.php
D trunk/forum/content/classes/sp-search-view-class.php
D trunk/forum/content/classes/sp-topic-view-class.php
A trunk/forum/content/classes/sp-view-class-spcforumview.php
A trunk/forum/content/classes/sp-view-class-spcgroupview.php
A trunk/forum/content/classes/sp-view-class-spcmemberslist.php
A trunk/forum/content/classes/sp-view-class-spcpostlist.php
A trunk/forum/content/classes/sp-view-class-spcsearchview.php
A trunk/forum/content/classes/sp-view-class-spctopiclist.php
A trunk/forum/content/classes/sp-view-class-spctopicview.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/sp-startup/core/sp-core-autoloader.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15087
svn

svn

2017-01-23 00:56

administrator   ~0019098

Changeset [15088] by steve on 2017-01-22 19:56:19 -0500 (Sun, 22 Jan 2017)

see issue 0005711 pass three, create a view class and use it

 Changed Files:

U trunk/forum/content/classes/sp-view-class-spcpostlist.php
U trunk/forum/content/classes/sp-view-class-spctopiclist.php
A trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-list-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/feeds/sp-feeds.php
U trunk/forum/profile/forms/sp-form-permissions.php
U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15088
svn

svn

2017-01-23 00:56

administrator   ~0019099

Changeset [15089] by steve on 2017-01-22 19:56:39 -0500 (Sun, 22 Jan 2017)

see issue 0005711 pass three, create a view class and use it

 Changed Files:

U plugins/featured/template-tags/sp-featured-posts-tag.php
U plugins/featured/template-tags/sp-featured-topics-tag.php
U plugins/mentions/template-tags/sp-mentions-latest-mentions-tag.php
U plugins/mentions/template-tags/sp-mentions-your-latest-mentions-tag.php
U plugins/search/template-files/spSearchListView.php
U plugins/template-tags/library/sp-LatestPosts-tag.php
U plugins/template-tags/library/sp-NewestTopics-tag.php
U plugins/template-tags/library/sp-RecentPosts-tag.php
U plugins/template-tags/library/sp-TodaysPosts-tag.php
U plugins/template-tags/library/sp-UnansweredPosts-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15089
svn

svn

2017-01-23 00:57

administrator   ~0019100

Changeset [15090] by steve on 2017-01-22 19:57:03 -0500 (Sun, 22 Jan 2017)

see issue 0005711 pass three, create a view class and use it

 Changed Files:

U templates/barebones/templates/desktop/spForumViewDesktop.php
U templates/barebones/templates/desktop/spGroupViewDesktop.php
U templates/barebones/templates/desktop/spListViewDesktop.php
U templates/barebones/templates/desktop/spMembersViewDesktop.php
U templates/barebones/templates/desktop/spTopicViewDesktop.php
U templates/barebones/templates/mobile/spForumViewMobile.php
U templates/barebones/templates/mobile/spGroupViewMobile.php
U templates/barebones/templates/mobile/spListViewMobile.php
U templates/barebones/templates/mobile/spMembersViewMobile.php
U templates/barebones/templates/mobile/spTopicViewMobile.php
U templates/barebones/templates/spSearchListView.php
U templates/reboot/templates/desktop/spForumViewDesktop.php
U templates/reboot/templates/desktop/spGroupViewDesktop.php
U templates/reboot/templates/desktop/spListViewDesktop.php
U templates/reboot/templates/desktop/spMembersViewDesktop.php
U templates/reboot/templates/desktop/spTopicViewDesktop.php
U templates/reboot/templates/mobile/spForumViewMobile.php
U templates/reboot/templates/mobile/spGroupViewMobile.php
U templates/reboot/templates/mobile/spListViewMobile.php
U templates/reboot/templates/mobile/spMembersViewMobile.php
U templates/reboot/templates/mobile/spTopicViewMobile.php
U templates/sp-reboot/templates/desktop/spGroupViewDesktop.php
U templates/sp-reboot/templates/desktop/spMembersViewDesktop.php
U templates/sp-reboot/templates/desktop/spTopicViewDesktop.php
U templates/sp-reboot/templates/mobile/spGroupViewMobile.php
U templates/sp-reboot/templates/mobile/spMembersViewMobile.php
U templates/sp-reboot/templates/mobile/spTopicViewMobile.php
U templates/sp-reboot/templates/spCommentView.php
U templates/unified/templates/spForumView.php
U templates/unified/templates/spGroupView.php
U templates/unified/templates/spListView.php
U templates/unified/templates/spMembersView.php
U templates/unified/templates/spTopicView.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15090
svn

svn

2017-01-23 06:53

administrator   ~0019101

Changeset [15091] by steve on 2017-01-23 01:53:25 -0500 (Mon, 23 Jan 2017)

see issue 0005711 pass 4, start moving view global variables into class

 Changed Files:

U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php
U trunk/admin/panel-toolbox/support/spa-toolbox-prepare.php
U trunk/admin/panel-toolbox/support/spa-toolbox-save.php
U trunk/forum/content/ajax/sp-ajax-newpostpopup.php
U trunk/forum/content/classes/sp-view-class-spcforumview.php
U trunk/forum/content/classes/sp-view-class-spcgroupview.php
U trunk/forum/content/classes/sp-view-class-spcpostlist.php
U trunk/forum/content/classes/sp-view-class-spcsearchview.php
U trunk/forum/content/classes/sp-view-class-spctopiclist.php
U trunk/forum/content/classes/sp-view-class-spctopicview.php
U trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/forum/content/forms/sp-form-post-edit.php
U trunk/forum/content/forms/sp-form-post.php
U trunk/forum/content/forms/sp-form-topic.php
U trunk/forum/content/sp-common-control-functions.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-list-view-functions.php
U trunk/forum/content/sp-list-view-search-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-search-view-functions.php
U trunk/forum/content/sp-template-control.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/feeds/sp-feeds.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-permissions.php
U trunk/sp-api/sp-api-class-spcmemberdata.php
U trunk/sp-startup/install/sp-install-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15091
svn

svn

2017-01-23 06:54

administrator   ~0019102

Changeset [15092] by steve on 2017-01-23 01:54:34 -0500 (Mon, 23 Jan 2017)

see issue 0005711 pass 4, start moving view global variables into class

 Changed Files:

U plugins/answers-topic/template-tags/sp-answers-topic-answer.php
U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/answers-topic/template-tags/sp-answers-topic-see-answer.php
U plugins/blog-linking/library/sp-linking-support.php
U plugins/blog-linking/sp-linking-plugin.php
U plugins/blog-linking/template-tags/sp-linking-show-link.php
U plugins/commenter/sp-commenter-plugin.php
U plugins/commenter/template-files/barebones/spCommentView.php
U plugins/commenter/template-files/barebones/spTopicViewDesktop.php
U plugins/commenter/template-files/barebones/spTopicViewMobile.php
U plugins/commenter/template-files/reboot/spCommentView.php
U plugins/commenter/template-files/unified/spCommentView.php
U plugins/commenter/template-tags/sp-commenter-tags.php
U plugins/cubepoints/template-tags/sp-cubepoints-post-index-points.php
U plugins/emoji/sp-emoji-plugin.php
U plugins/featured/template-tags/sp-featured-posts-tag.php
U plugins/featured/template-tags/sp-featured-topics-tag.php
U plugins/hide-poster/library/sp-hide-poster-components.php
U plugins/hide-poster/sp-hide-poster-plugin.php
U plugins/identities/template-tags/sp-identities-display-tag.php
U plugins/mentions/template-tags/sp-mentions-latest-mentions-tag.php
U plugins/mentions/template-tags/sp-mentions-your-latest-mentions-tag.php
U plugins/mycred/template-tags/sp-mycred-post-index-points.php
U plugins/plupload/library/sp-plupload-components.php
U plugins/plupload/library/sp-plupload-forms.php
U plugins/polls/ajax/sp-polls-ajax-create.php
U plugins/polls/library/sp-polls-components.php
U plugins/post-by-email/template-tags/sp-email-post-icon.php
U plugins/post-multiple/admin/sp-post-multiple-admin-options.php
U plugins/post-multiple/library/sp-post-multiple-components.php
U plugins/post-rating/template-tags/sp-rating-post-rating.php
U plugins/post-rating/template-tags/sp-rating-topic-rating.php
U plugins/post-thanks/template-tags/sp-thanks-members-list-reputation.php
U plugins/post-thanks/template-tags/sp-thanks-post-user-reputation.php
U plugins/post-thanks/template-tags/sp-thanks-thank-the-post.php
U plugins/post-thanks/template-tags/sp-thanks-thanks-for-post.php
U plugins/print-topic/template-files/spTopicPrintView.php
U plugins/print-topic/template-tags/sp-print-tags.php
U plugins/private-messaging/ajax/sp-pm-ajax-manage.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/template-tags/sp-pm-send-pm-button-tag.php
U plugins/private-posts/library/sp-private-posts-components.php
U plugins/report-post/template-tags/sp-report-post-tag.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/reputation/template-tags/sp-reputation-members-list-level.php
U plugins/reputation/template-tags/sp-reputation-post-index-level.php
U plugins/reputation/template-tags/sp-reputation-rep-user.php
U plugins/search/library/sp-search-components.php
U plugins/search/template-files/spSearchListView.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/share-this/template-tags/sp-share-this-topic-index-tag.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-manage.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/sp-subscriptions-plugin.php
U plugins/subscriptions/template-files/spSubscriptionsView.php
U plugins/subscriptions/template-tags/sp-subscriptions-forum-index-icon-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-forum-button-tag.php
U plugins/tags/ajax/sp-tags-ajax.php
U plugins/tags/library/sp-tags-components.php
U plugins/tags/sp-tags-plugin.php
U plugins/tags/template-files/spRelatedTagsView.php
U plugins/tags/template-tags/sp-tags-forum-tags-tag.php
U plugins/tags/template-tags/sp-tags-related-topics-button-tag.php
U plugins/tags/template-tags/sp-tags-topic-tags-tag.php
U plugins/template-tags/library/sp-LatestPosts-tag.php
U plugins/template-tags/library/sp-NewestTopics-tag.php
U plugins/template-tags/library/sp-RecentPosts-tag.php
U plugins/template-tags/library/sp-TodaysPosts-tag.php
U plugins/template-tags/library/sp-UnansweredPosts-tag.php
U plugins/threading/library/sp-threading-components.php
U plugins/threading/template-tags/sp-threading-tags.php
U plugins/topic-description/library/sp-topic-description-components.php
U plugins/topic-description/template-tags/sp-topic-description-tag.php
U plugins/topic-expire/library/sp-topic-expire-components.php
U plugins/topic-redirect/library/sp-redirect-components.php
U plugins/topic-redirect/sp-redirect-plugin.php
U plugins/topic-status/library/sp-topicstatus-support.php
U plugins/topic-status/sp-topicstatus-plugin.php
U plugins/topic-status/template-tags/sp-topicstatus-template-tags.php
U plugins/uploads-viewer/library/sp-uploads-viewer-components.php
U plugins/watches/ajax/sp-watches-ajax-manage.php
U plugins/watches/library/sp-watches-components.php
U plugins/watches/sp-watches-plugin.php
U plugins/watches/template-files/spWatchesView.php
U plugins/watches/template-tags/sp-watches-watch-button-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15092
svn

svn

2017-01-23 06:54

administrator   ~0019103

Changeset [15093] by steve on 2017-01-23 01:54:54 -0500 (Mon, 23 Jan 2017)

see issue 0005711 pass 4, start moving view global variables into class

 Changed Files:

U templates/barebones/templates/desktop/spMembersViewDesktop.php
U templates/barebones/templates/desktop/spTopicViewDesktop.php
U templates/barebones/templates/mobile/spMembersViewMobile.php
U templates/barebones/templates/mobile/spTopicViewMobile.php
U templates/barebones/templates/spNewPostsView.php
U templates/barebones/templates/spSearchListView.php
U templates/reboot/templates/desktop/spMembersViewDesktop.php
U templates/reboot/templates/desktop/spTopicViewDesktop.php
U templates/reboot/templates/mobile/spMembersViewMobile.php
U templates/reboot/templates/mobile/spTopicViewMobile.php
U templates/reboot/templates/spNewPostsView.php
U templates/sp-reboot/templates/desktop/spGroupViewDesktop.php
U templates/sp-reboot/templates/desktop/spMembersViewDesktop.php
U templates/sp-reboot/templates/desktop/spTopicViewDesktop.php
U templates/sp-reboot/templates/mobile/spGroupViewMobile.php
U templates/sp-reboot/templates/mobile/spMembersViewMobile.php
U templates/sp-reboot/templates/mobile/spTopicViewMobile.php
U templates/sp-reboot/templates/spCommentView.php
U templates/sp-reboot/templates/spFunctions.php
U templates/unified/templates/spMembersView.php
U templates/unified/templates/spNewPostsView.php
U templates/unified/templates/spTopicView.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15093
svn

svn

2017-01-24 03:54

administrator   ~0019105

Changeset [15094] by steve on 2017-01-23 22:54:04 -0500 (Mon, 23 Jan 2017)

see issue 0005711 some clean ups

 Changed Files:

U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php
U trunk/admin/panel-toolbox/support/spa-toolbox-prepare.php
U trunk/admin/panel-toolbox/support/spa-toolbox-save.php
U trunk/forum/content/classes/sp-view-class-spctopiclist.php
U trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/forum/content/forms/sp-form-post-edit.php
U trunk/forum/content/forms/sp-form-post.php
U trunk/forum/content/forms/sp-form-topic.php
U trunk/forum/content/sp-common-control-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-list-view-functions.php
U trunk/forum/content/sp-list-view-search-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/sp-startup/install/sp-install-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15094
svn

svn

2017-01-24 03:54

administrator   ~0019106

Changeset [15095] by steve on 2017-01-23 22:54:27 -0500 (Mon, 23 Jan 2017)

see issue 0005711 some clean ups

 Changed Files:

U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/featured/template-tags/sp-featured-posts-tag.php
U plugins/featured/template-tags/sp-featured-topics-tag.php
U plugins/hide-poster/library/sp-hide-poster-components.php
U plugins/mentions/template-tags/sp-mentions-latest-mentions-tag.php
U plugins/mentions/template-tags/sp-mentions-your-latest-mentions-tag.php
U plugins/post-thanks/template-tags/sp-thanks-thank-the-post.php
U plugins/private-messaging/template-tags/sp-pm-send-pm-button-tag.php
U plugins/report-post/template-tags/sp-report-post-tag.php
U plugins/reputation/template-tags/sp-reputation-members-list-level.php
U plugins/reputation/template-tags/sp-reputation-post-index-level.php
U plugins/reputation/template-tags/sp-reputation-rep-user.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/template-tags/sp-subscriptions-forum-index-icon-tag.php
U plugins/tags/template-tags/sp-tags-forum-tags-tag.php
U plugins/tags/template-tags/sp-tags-related-topics-button-tag.php
U plugins/template-tags/library/sp-LatestPosts-tag.php
U plugins/template-tags/library/sp-NewestTopics-tag.php
U plugins/template-tags/library/sp-RecentPosts-tag.php
U plugins/template-tags/library/sp-TodaysPosts-tag.php
U plugins/template-tags/library/sp-UnansweredPosts-tag.php
U plugins/topic-description/library/sp-topic-description-components.php
U plugins/topic-description/template-tags/sp-topic-description-tag.php
U plugins/topic-status/template-tags/sp-topicstatus-template-tags.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15095
svn

svn

2017-01-24 05:53

administrator   ~0019107

Changeset [15096] by steve on 2017-01-24 00:53:43 -0500 (Tue, 24 Jan 2017)

see issue 0005711 some clean ups

 Changed Files:

U trunk/forum/content/classes/sp-view-class-spcview.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15096
svn

svn

2017-01-27 15:09

administrator   ~0019114

Changeset [15103] by steve on 2017-01-27 10:09:57 -0500 (Fri, 27 Jan 2017)

see issue 0005711 pass 4, move search view into new view class

 Changed Files:

U trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/forum/content/sp-list-view-search-functions.php
U trunk/forum/content/sp-search-view-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15103
svn

svn

2017-01-27 15:10

administrator   ~0019115

Changeset [15104] by steve on 2017-01-27 10:10:17 -0500 (Fri, 27 Jan 2017)

see issue 0005711 pass 4, move search view into new view class

 Changed Files:

U plugins/search/library/sp-search-components.php
U plugins/search/template-tags/sp-search-template-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15104
svn

svn

2017-01-27 18:38

administrator   ~0019124

Changeset [15116] by steve on 2017-01-27 13:37:59 -0500 (Fri, 27 Jan 2017)

test issue 0005711 clean up data inspector stuff

 Changed Files:

U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php
U trunk/admin/panel-toolbox/support/spa-toolbox-prepare.php
U trunk/admin/panel-toolbox/support/spa-toolbox-save.php
U trunk/forum/content/classes/sp-view-class-spcforumview.php
U trunk/forum/content/classes/sp-view-class-spcgroupview.php
U trunk/forum/content/classes/sp-view-class-spcmemberslist.php
U trunk/forum/content/classes/sp-view-class-spcpostlist.php
U trunk/forum/content/classes/sp-view-class-spcsearchview.php
U trunk/forum/content/classes/sp-view-class-spctopiclist.php
U trunk/forum/content/classes/sp-view-class-spctopicview.php
U trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/install/sp-install-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15116
svn

svn

2017-01-29 17:47

administrator   ~0019150

Changeset [15138] by steve on 2017-01-29 12:47:34 -0500 (Sun, 29 Jan 2017)

test issue 0005711 clean up data inspector stuff

 Changed Files:

U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15138

Issue History

Date Modified Username Field Change
2017-01-09 04:41 Mr Papa New Issue
2017-01-09 04:41 Mr Papa Assigned To => Mr Papa
2017-01-09 04:41 Mr Papa Status new => assigned
2017-01-22 18:59 svn =>
2017-01-22 18:59 svn Note Added: 0019083
2017-01-22 19:22 svn =>
2017-01-22 19:22 svn Note Added: 0019085
2017-01-22 19:28 svn =>
2017-01-22 19:28 svn Note Added: 0019086
2017-01-22 20:05 svn =>
2017-01-22 20:05 svn Note Added: 0019087
2017-01-22 20:10 svn =>
2017-01-22 20:10 svn Note Added: 0019088
2017-01-22 20:16 svn =>
2017-01-22 20:16 svn Note Added: 0019089
2017-01-22 20:31 svn =>
2017-01-22 20:31 svn Note Added: 0019090
2017-01-22 20:32 svn =>
2017-01-22 20:32 svn Note Added: 0019091
2017-01-22 20:37 svn =>
2017-01-22 20:37 svn Note Added: 0019092
2017-01-22 20:37 svn =>
2017-01-22 20:37 svn Note Added: 0019093
2017-01-22 20:41 svn =>
2017-01-22 20:41 svn Note Added: 0019094
2017-01-22 20:43 svn =>
2017-01-22 20:43 svn Note Added: 0019095
2017-01-22 21:01 svn =>
2017-01-22 21:01 svn Note Added: 0019096
2017-01-23 00:56 svn =>
2017-01-23 00:56 svn Note Added: 0019098
2017-01-23 00:56 svn =>
2017-01-23 00:56 svn Note Added: 0019099
2017-01-23 00:57 svn =>
2017-01-23 00:57 svn Note Added: 0019100
2017-01-23 06:53 svn =>
2017-01-23 06:53 svn Note Added: 0019101
2017-01-23 06:54 svn =>
2017-01-23 06:54 svn Note Added: 0019102
2017-01-23 06:54 svn =>
2017-01-23 06:54 svn Note Added: 0019103
2017-01-24 03:54 svn =>
2017-01-24 03:54 svn Note Added: 0019105
2017-01-24 03:54 svn =>
2017-01-24 03:54 svn Note Added: 0019106
2017-01-24 05:53 svn =>
2017-01-24 05:53 svn Note Added: 0019107
2017-01-27 15:09 svn =>
2017-01-27 15:09 svn Note Added: 0019114
2017-01-27 15:10 svn =>
2017-01-27 15:10 svn Note Added: 0019115
2017-01-27 18:38 svn =>
2017-01-27 18:38 svn Note Added: 0019124
2017-01-27 18:38 svn Status assigned => testing
2017-01-29 17:47 svn =>
2017-01-29 17:47 svn Note Added: 0019150
2017-02-04 17:22 Mr Papa Status testing => closed
2017-02-04 17:22 Mr Papa Resolution open => fixed
2017-02-04 17:22 Mr Papa Fixed in Version => 6.0
2017-02-04 17:22 Mr Papa change_log_text update => convert our content classes to 6.0 class structure
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8